List Statements
Retrieve a paginated list of statements for the authenticated lab. Lab-only. Supports filtering by status and search text.
Retrieve a paginated list of statements for the authenticated lab. Lab-only. Supports filtering by status and search text.
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Query Parameters
page?integer
Range
0 < valueDefault
1limit?integer
Range
0 < value <= 100Default
20status?string
search?string
sortBy?string
Default
"createdAt"Value in
- "createdAt"
- "periodStart"
- "statementNumber"
- "totalDue"
sortOrder?string
Default
"desc"Value in
- "asc"
- "desc"
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/statements"{ "data": [ null ], "pagination": { "page": 0, "limit": 0, "total": 0, "totalPages": 0 }}{ "error": "string"}{ "error": "string"}